<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/4_world/dayzexpansion_vehicles/classes/useractionscomponent/actions/interact/expansionactionunlockvehicle.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d69/a02783_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactionunlockvehicle.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d69/a02783.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionUnlockVehicle.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/d98/a07149.html">ExpansionActionUnlockVehicle</a>: ActionInteractBase</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{<span class="comment"></span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment">    //! DO NOT STORE VARIABLES FOR SERVER SIDE OPERATION</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment"></span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html#aff739e042fcb76594d375b6d225bad2e">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d98/a07149.html#aff739e042fcb76594d375b6d225bad2e">ExpansionActionUnlockVehicle</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_CROUCH | DayZPlayerConstants.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html#ae97643ed713f17a4ad0468a9cec6a990">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d98/a07149.html#ae97643ed713f17a4ad0468a9cec6a990">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        m_ConditionItem = <span class="keyword">new</span> CCINone;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNone;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html#ad67486cdc2db93d8efb23b3b2066e9f0">   28</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../dc/d98/a07149.html#ad67486cdc2db93d8efb23b3b2066e9f0">GetText</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#unlock&quot;</span>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html#affb7cecf73a69bd37cc600f256a1bd80">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d98/a07149.html#affb7cecf73a69bd37cc600f256a1bd80">ActionCondition</a>( <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {       </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a> car;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_class" href="../../d6/d00/a07389.html">ExpansionCarKey</a> key;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="comment"></span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="comment">        //! The intention is for vehicles to only be unlockable from outside if player has its key (or admin key) in hand,</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="comment">        //! and to be unlockable from inside if they can&#39;t get out otherwise (so player can&#39;t accidentally lock themself in)</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="comment"></span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> ( player.GetCommand_Vehicle() )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <span class="keywordflow">if</span> ( !Class.CastTo( car, player.GetCommand_Vehicle().GetTransport() ) )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">if</span> ( !car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a601e2747e9e8d4ce84af6bb9264bac9d">HasKey</a>() )</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <span class="keywordtype">int</span> seat = car.CrewMemberIndex( player );<span class="comment"></span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="comment">            //! If it&#39;s an even number, also check n+1</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span><span class="comment">            //! If it&#39;s an uneven number, also check n-1</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">            //! So if you sit on driver seat and driver door is closed, but codriver door is open or missing, you can&#39;t unlock from inside.</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span><span class="comment">            //! Similarly, if you sit on passenger seat and door on your side is locked, but door on other side is open or missing, you can&#39;t unlock from inside.</span></div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment"></span>            <span class="keywordtype">int</span> opposite_seat;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            <span class="keywordflow">if</span> ( seat % 2 )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                opposite_seat = seat - 1;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>                opposite_seat = seat + 1;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>            <span class="keywordflow">if</span> ( seat &gt;= 0 &amp;&amp; ( car.<a class="code hl_function" href="../../d0/d2a/a04925.html#ac0368a780d9efc0969ef697aa5e388d5">CrewCanGetThrough</a>( seat ) || car.<a class="code hl_function" href="../../d0/d2a/a04925.html#ac0368a780d9efc0969ef697aa5e388d5">CrewCanGetThrough</a>( opposite_seat ) ) )</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">if</span> ( !Class.CastTo( car, target.<a class="code hl_function" href="../../da/d6d/a04713.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>() ) )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            <span class="keywordflow">if</span> ( !Class.CastTo( key, player.GetItemInHands() ) )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordflow">if</span> ( !car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a103016618c01aaf04484ebe603478a99">IsCarKeys</a>( key ) &amp;&amp; !key.IsInherited( ExpansionCarAdminKey ) )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        }</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span> ( car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a9e7eb72aba5b8c31035f9a592eabc431">GetLockedState</a>() == <a class="code hl_enumeration" href="../../d5/dd2/a02849.html#a448b5c4bde7dc6de8026f86d208bc736">ExpansionVehicleLockState</a>.UNLOCKED || car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a9e7eb72aba5b8c31035f9a592eabc431">GetLockedState</a>() == <a class="code hl_enumeration" href="../../d5/dd2/a02849.html#a448b5c4bde7dc6de8026f86d208bc736">ExpansionVehicleLockState</a>.NOLOCK || car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a9e7eb72aba5b8c31035f9a592eabc431">GetLockedState</a>() == <a class="code hl_enumeration" href="../../d5/dd2/a02849.html#a448b5c4bde7dc6de8026f86d208bc736">ExpansionVehicleLockState</a>.FORCEDUNLOCKED )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html#a722010f2ad172e45b486a09de8367ac3">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d98/a07149.html#a722010f2ad172e45b486a09de8367ac3">OnStartServer</a>( ActionData action_data )</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        super.OnStartServer( action_data );</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a> car;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <a class="code hl_class" href="../../d6/d00/a07389.html">ExpansionCarKey</a> key;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> ( action_data.m_Player.GetCommand_Vehicle() )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            car = <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a>.Cast( action_data.m_Player.GetCommand_Vehicle().GetTransport() );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            car = <a class="code hl_class" href="../../d0/d2a/a04925.html">CarScript</a>.Cast( action_data.m_Target.GetParentOrObject() );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            key = <a class="code hl_class" href="../../d6/d00/a07389.html">ExpansionCarKey</a>.Cast( action_data.m_Player.GetItemInHands() );</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> ( car )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a5c72b8cfa8bab025518b94405b367f1a">UnlockCar</a>( key );</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().AdminTools &amp;&amp; key &amp;&amp; key.IsInherited( ExpansionCarAdminKey ) )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>(<span class="stringliteral">&quot;[AdminTools] Player \&quot;&quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; used the  &quot;</span>+ key.GetType() +<span class="stringliteral">&quot; to unlock &quot;</span> + car.GetType() + <span class="stringliteral">&quot; (id=&quot;</span> + car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a53fb52048a59643c936fc5aeee164211">GetVehiclePersistentIDString</a>() + <span class="stringliteral">&quot; pos=&quot;</span> + car.GetPosition() + <span class="stringliteral">&quot;)&quot;</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetLog().VehicleCarKey &amp;&amp; key )</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">GetLog</a>().<a class="code hl_function" href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">PrintLog</a>(<span class="stringliteral">&quot;[VehicleCarKey] Player \&quot;&quot;</span> + action_data.m_Player.GetIdentity().GetName() + <span class="stringliteral">&quot;\&quot; (id=&quot;</span> + action_data.m_Player.GetIdentity().GetId() + <span class="stringliteral">&quot; pos=&quot;</span> + action_data.m_Player.GetPosition() + <span class="stringliteral">&quot;)&quot;</span> + <span class="stringliteral">&quot; used the  &quot;</span>+ key.GetType() +<span class="stringliteral">&quot; to unlock &quot;</span> + car.GetType() + <span class="stringliteral">&quot; (id=&quot;</span> + car.<a class="code hl_function" href="../../d0/d2a/a04925.html#a53fb52048a59643c936fc5aeee164211">GetVehiclePersistentIDString</a>() + <span class="stringliteral">&quot; pos=&quot;</span> + car.GetPosition() + <span class="stringliteral">&quot;)&quot;</span>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        }</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html#a7c81b81244b10ebe70319ff60c1918fa">  106</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d98/a07149.html#a7c81b81244b10ebe70319ff60c1918fa">CanBeUsedInVehicle</a>()</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../dc/d98/a07149.html#af2872dc9519024b7fee0b5dc56b99f6b">  111</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dc/d98/a07149.html#af2872dc9519024b7fee0b5dc56b99f6b">CanBeUsedInRestrain</a>()</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>    {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>};</div>
<div class="ttc" id="aa02849_html_a448b5c4bde7dc6de8026f86d208bc736"><div class="ttname"><a href="../../d5/dd2/a02849.html#a448b5c4bde7dc6de8026f86d208bc736">ExpansionVehicleLockState</a></div><div class="ttdeci">ExpansionVehicleLockState</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd2/a02849_source.html#l00013">expansionvehiclelockstate.c:14</a></div></div>
<div class="ttc" id="aa03377_html_a1eb9f973eaeefbb8868edb6e23ec9c77"><div class="ttname"><a href="../../dd/d8e/a03377.html#a1eb9f973eaeefbb8868edb6e23ec9c77">ExpansionSettings::GetLog</a></div><div class="ttdeci">ExpansionLogSettings GetLog(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00226">expansionsettings.c:226</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04357_html_add340da6804cc9f46e54b1602451955a"><div class="ttname"><a href="../../da/d07/a04357.html#add340da6804cc9f46e54b1602451955a">ExpansionLogSettings::PrintLog</a></div><div class="ttdeci">void PrintLog(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/a00896_source.html#l00402">expansionlogsettings.c:402</a></div></div>
<div class="ttc" id="aa04713_html"><div class="ttname"><a href="../../da/d6d/a04713.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04713_html_a1c5162ed30e842ad5b561579a40e7507"><div class="ttname"><a href="../../da/d6d/a04713.html#a1c5162ed30e842ad5b561579a40e7507">ActionTarget::GetParentOrObject</a></div><div class="ttdeci">Object GetParentOrObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00021">actiontargets.c:21</a></div></div>
<div class="ttc" id="aa04925_html"><div class="ttname"><a href="../../d0/d2a/a04925.html">CarScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da8/a08961_source.html#l00016">carscript.c:17</a></div></div>
<div class="ttc" id="aa04925_html_a103016618c01aaf04484ebe603478a99"><div class="ttname"><a href="../../d0/d2a/a04925.html#a103016618c01aaf04484ebe603478a99">CarScript::IsCarKeys</a></div><div class="ttdeci">bool IsCarKeys(ExpansionCarKey key)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00981">carscript.c:981</a></div></div>
<div class="ttc" id="aa04925_html_a53fb52048a59643c936fc5aeee164211"><div class="ttname"><a href="../../d0/d2a/a04925.html#a53fb52048a59643c936fc5aeee164211">CarScript::GetVehiclePersistentIDString</a></div><div class="ttdeci">string GetVehiclePersistentIDString()</div><div class="ttdoc">ID of the vehicle itself.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00883">carscript.c:883</a></div></div>
<div class="ttc" id="aa04925_html_a5c72b8cfa8bab025518b94405b367f1a"><div class="ttname"><a href="../../d0/d2a/a04925.html#a5c72b8cfa8bab025518b94405b367f1a">CarScript::UnlockCar</a></div><div class="ttdeci">void UnlockCar(ExpansionCarKey key)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l01013">carscript.c:1013</a></div></div>
<div class="ttc" id="aa04925_html_a601e2747e9e8d4ce84af6bb9264bac9d"><div class="ttname"><a href="../../d0/d2a/a04925.html#a601e2747e9e8d4ce84af6bb9264bac9d">CarScript::HasKey</a></div><div class="ttdeci">bool HasKey()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00913">carscript.c:913</a></div></div>
<div class="ttc" id="aa04925_html_a9e7eb72aba5b8c31035f9a592eabc431"><div class="ttname"><a href="../../d0/d2a/a04925.html#a9e7eb72aba5b8c31035f9a592eabc431">CarScript::GetLockedState</a></div><div class="ttdeci">ExpansionVehicleLockState GetLockedState()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/df2/a08973_source.html#l00821">carscript.c:821</a></div></div>
<div class="ttc" id="aa04925_html_ac0368a780d9efc0969ef697aa5e388d5"><div class="ttname"><a href="../../d0/d2a/a04925.html#ac0368a780d9efc0969ef697aa5e388d5">CarScript::CrewCanGetThrough</a></div><div class="ttdeci">override bool CrewCanGetThrough(int posIdx)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcd/a02987_source.html#l00654">expansionboatscript.c:654</a></div></div>
<div class="ttc" id="aa07149_html"><div class="ttname"><a href="../../dc/d98/a07149.html">ExpansionActionUnlockVehicle</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00013">expansionactionunlockvehicle.c:14</a></div></div>
<div class="ttc" id="aa07149_html_a722010f2ad172e45b486a09de8367ac3"><div class="ttname"><a href="../../dc/d98/a07149.html#a722010f2ad172e45b486a09de8367ac3">ExpansionActionUnlockVehicle::OnStartServer</a></div><div class="ttdeci">override void OnStartServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00079">expansionactionunlockvehicle.c:79</a></div></div>
<div class="ttc" id="aa07149_html_a7c81b81244b10ebe70319ff60c1918fa"><div class="ttname"><a href="../../dc/d98/a07149.html#a7c81b81244b10ebe70319ff60c1918fa">ExpansionActionUnlockVehicle::CanBeUsedInVehicle</a></div><div class="ttdeci">override bool CanBeUsedInVehicle()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00106">expansionactionunlockvehicle.c:106</a></div></div>
<div class="ttc" id="aa07149_html_ad67486cdc2db93d8efb23b3b2066e9f0"><div class="ttname"><a href="../../dc/d98/a07149.html#ad67486cdc2db93d8efb23b3b2066e9f0">ExpansionActionUnlockVehicle::GetText</a></div><div class="ttdeci">override string GetText()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00028">expansionactionunlockvehicle.c:28</a></div></div>
<div class="ttc" id="aa07149_html_ae97643ed713f17a4ad0468a9cec6a990"><div class="ttname"><a href="../../dc/d98/a07149.html#ae97643ed713f17a4ad0468a9cec6a990">ExpansionActionUnlockVehicle::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00022">expansionactionunlockvehicle.c:22</a></div></div>
<div class="ttc" id="aa07149_html_af2872dc9519024b7fee0b5dc56b99f6b"><div class="ttname"><a href="../../dc/d98/a07149.html#af2872dc9519024b7fee0b5dc56b99f6b">ExpansionActionUnlockVehicle::CanBeUsedInRestrain</a></div><div class="ttdeci">override bool CanBeUsedInRestrain()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00111">expansionactionunlockvehicle.c:111</a></div></div>
<div class="ttc" id="aa07149_html_aff739e042fcb76594d375b6d225bad2e"><div class="ttname"><a href="../../dc/d98/a07149.html#aff739e042fcb76594d375b6d225bad2e">ExpansionActionUnlockVehicle::ExpansionActionUnlockVehicle</a></div><div class="ttdeci">void ExpansionActionUnlockVehicle()</div><div class="ttdoc">DO NOT STORE VARIABLES FOR SERVER SIDE OPERATION.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00017">expansionactionunlockvehicle.c:17</a></div></div>
<div class="ttc" id="aa07149_html_affb7cecf73a69bd37cc600f256a1bd80"><div class="ttname"><a href="../../dc/d98/a07149.html#affb7cecf73a69bd37cc600f256a1bd80">ExpansionActionUnlockVehicle::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d69/a02783_source.html#l00033">expansionactionunlockvehicle.c:33</a></div></div>
<div class="ttc" id="aa07389_html"><div class="ttname"><a href="../../d6/d00/a07389.html">ExpansionCarKey</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d08/a02957_source.html#l00013">expansioncaradminkey.c:14</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_c3648096b79390b8f298110e534a6ba9.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_0df2f0f75bfab0aa29ae62af7848909b.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_9d8a725e685d7e2e79ef3720909cf5b7.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_bdf590611e398cb162e788e5239471a6.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_bed0f916786f5b73767adc31cd2f6bb1.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_c7b15e03556fbb96189670c7c298573c.html">interact</a></li><li class="navelem"><a class="el" href="../../d7/d69/a02783.html">expansionactionunlockvehicle.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
